<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TestNGOptions (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TestNGOptions (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/api/tasks/testing/testng/TestNGOptions.html" target="_top">Frames</a></li>
<li><a href="TestNGOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.testing.testng</div>
<h2 title="Class TestNGOptions" class="title">Class TestNGOptions</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/gradle/api/tasks/testing/TestFrameworkOptions.html" title="class in org.gradle.api.tasks.testing">org.gradle.api.tasks.testing.TestFrameworkOptions</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.tasks.testing.testng.TestNGOptions</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">TestNGOptions</span>
extends <a href="../../../../../../org/gradle/api/tasks/testing/TestFrameworkOptions.html" title="class in org.gradle.api.tasks.testing">TestFrameworkOptions</a></pre>
<div class="block">The TestNG specific test options.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#DEFAULT_CONFIG_FAILURE_POLICY">DEFAULT_CONFIG_FAILURE_POLICY</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#TestNGOptions(java.io.File)">TestNGOptions</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;projectDir)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html" title="class in org.gradle.api.tasks.testing.testng">TestNGOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#excludeGroups(java.lang.String...)">excludeGroups</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;excludeGroups)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getConfigFailurePolicy()">getConfigFailurePolicy</a></strong>()</code>
<div class="block">Option for what to do for other tests that use a configuration step when that step fails.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getExcludeGroups()">getExcludeGroups</a></strong>()</code>
<div class="block">The set of groups to exclude.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getGroupByInstances()">getGroupByInstances</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getIncludeGroups()">getIncludeGroups</a></strong>()</code>
<div class="block">The set of groups to run.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getListeners()">getListeners</a></strong>()</code>
<div class="block">Fully qualified classes that are TestNG listeners (instances of org.testng.ITestListener or org.testng.IReporter).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getOutputDirectory()">getOutputDirectory</a></strong>()</code>
<div class="block">The location to write TestNG's output.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getParallel()">getParallel</a></strong>()</code>
<div class="block">The parallel mode to use for running the tests - one of the following modes: methods, tests, classes or instances.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getPreserveOrder()">getPreserveOrder</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getProjectDir()">getProjectDir</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getSuiteName()">getSuiteName</a></strong>()</code>
<div class="block">Sets the default name of the test suite, if one is not specified in a suite XML file or in the source code.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getSuites(java.io.File)">getSuites</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;testSuitesDir)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/xml/MarkupBuilder.html?is-external=true" title="class or interface in groovy.xml">MarkupBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getSuiteXmlBuilder()">getSuiteXmlBuilder</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getSuiteXmlFiles()">getSuiteXmlFiles</a></strong>()</code>
<div class="block">The suiteXmlFiles to use for running TestNG.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/StringWriter.html?is-external=true" title="class or interface in java.io">StringWriter</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getSuiteXmlWriter()">getSuiteXmlWriter</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getTestName()">getTestName</a></strong>()</code>
<div class="block">Sets the default name of the test, if one is not specified in a suite XML file or in the source code.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getThreadCount()">getThreadCount</a></strong>()</code>
<div class="block">The number of threads to use for this run.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#getUseDefaultListeners()">getUseDefaultListeners</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html" title="class in org.gradle.api.tasks.testing.testng">TestNGOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#includeGroups(java.lang.String...)">includeGroups</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;includeGroups)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#isGroupByInstances()">isGroupByInstances</a></strong>()</code>
<div class="block">Indicates whether the tests should be grouped by instances.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#isPreserveOrder()">isPreserveOrder</a></strong>()</code>
<div class="block">Indicates whether the tests should be run in deterministic order.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#isUseDefaultListeners()">isUseDefaultListeners</a></strong>()</code>
<div class="block">Whether the default listeners and reporters should be used.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#methodMissing(java.lang.String,%20java.lang.Object)">methodMissing</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
             <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;args)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#propertyMissing(java.lang.String)">propertyMissing</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setConfigFailurePolicy(java.lang.String)">setConfigFailurePolicy</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configFailurePolicy)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setExcludeGroups(java.util.Set)">setExcludeGroups</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;excludeGroups)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setGroupByInstances(boolean)">setGroupByInstances</a></strong>(boolean&nbsp;groupByInstances)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setIncludeGroups(java.util.Set)">setIncludeGroups</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;includeGroups)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setListeners(java.util.Set)">setListeners</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;listeners)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setOutputDirectory(java.io.File)">setOutputDirectory</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputDirectory)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setParallel(java.lang.String)">setParallel</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parallel)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setPreserveOrder(boolean)">setPreserveOrder</a></strong>(boolean&nbsp;preserveOrder)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setSuiteName(java.lang.String)">setSuiteName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;suiteName)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setSuiteXmlBuilder(groovy.xml.MarkupBuilder)">setSuiteXmlBuilder</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/xml/MarkupBuilder.html?is-external=true" title="class or interface in groovy.xml">MarkupBuilder</a>&nbsp;suiteXmlBuilder)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setSuiteXmlFiles(java.util.List)">setSuiteXmlFiles</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;suiteXmlFiles)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setSuiteXmlWriter(java.io.StringWriter)">setSuiteXmlWriter</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/StringWriter.html?is-external=true" title="class or interface in java.io">StringWriter</a>&nbsp;suiteXmlWriter)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setTestName(java.lang.String)">setTestName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;testName)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setThreadCount(int)">setThreadCount</a></strong>(int&nbsp;threadCount)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#setUseDefaultListeners(boolean)">setUseDefaultListeners</a></strong>(boolean&nbsp;useDefaultListeners)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#suites(java.io.File...)">suites</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>...&nbsp;suiteFiles)</code>
<div class="block">Add suite files by File objects.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#suites(java.lang.String...)">suites</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;suiteFiles)</code>
<div class="block">Add suite files by Strings.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/xml/MarkupBuilder.html?is-external=true" title="class or interface in groovy.xml">MarkupBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#suiteXmlBuilder()">suiteXmlBuilder</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html" title="class in org.gradle.api.tasks.testing.testng">TestNGOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#useDefaultListeners()">useDefaultListeners</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html" title="class in org.gradle.api.tasks.testing.testng">TestNGOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#useDefaultListeners(boolean)">useDefaultListeners</a></strong>(boolean&nbsp;useDefaultListeners)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_CONFIG_FAILURE_POLICY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_CONFIG_FAILURE_POLICY</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DEFAULT_CONFIG_FAILURE_POLICY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../../constant-values.html#org.gradle.api.tasks.testing.testng.TestNGOptions.DEFAULT_CONFIG_FAILURE_POLICY">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TestNGOptions(java.io.File)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TestNGOptions</h4>
<pre>public&nbsp;TestNGOptions(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;projectDir)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="suiteXmlBuilder()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>suiteXmlBuilder</h4>
<pre>public&nbsp;<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/xml/MarkupBuilder.html?is-external=true" title="class or interface in groovy.xml">MarkupBuilder</a>&nbsp;suiteXmlBuilder()</pre>
</li>
</ul>
<a name="suites(java.lang.String...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>suites</h4>
<pre>public&nbsp;void&nbsp;suites(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;suiteFiles)</pre>
<div class="block">Add suite files by Strings. Each suiteFile String should be a path relative to the project root.</div>
</li>
</ul>
<a name="getProjectDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProjectDir</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getProjectDir()</pre>
</li>
</ul>
<a name="suites(java.io.File...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>suites</h4>
<pre>public&nbsp;void&nbsp;suites(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>...&nbsp;suiteFiles)</pre>
<div class="block">Add suite files by File objects.</div>
</li>
</ul>
<a name="getSuites(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuites</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getSuites(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;testSuitesDir)</pre>
</li>
</ul>
<a name="includeGroups(java.lang.String...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeGroups</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html" title="class in org.gradle.api.tasks.testing.testng">TestNGOptions</a>&nbsp;includeGroups(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;includeGroups)</pre>
</li>
</ul>
<a name="excludeGroups(java.lang.String...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>excludeGroups</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html" title="class in org.gradle.api.tasks.testing.testng">TestNGOptions</a>&nbsp;excludeGroups(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;excludeGroups)</pre>
</li>
</ul>
<a name="useDefaultListeners()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useDefaultListeners</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html" title="class in org.gradle.api.tasks.testing.testng">TestNGOptions</a>&nbsp;useDefaultListeners()</pre>
</li>
</ul>
<a name="useDefaultListeners(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useDefaultListeners</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html" title="class in org.gradle.api.tasks.testing.testng">TestNGOptions</a>&nbsp;useDefaultListeners(boolean&nbsp;useDefaultListeners)</pre>
</li>
</ul>
<a name="propertyMissing(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>propertyMissing</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;propertyMissing(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
</li>
</ul>
<a name="methodMissing(java.lang.String, java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>methodMissing</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;methodMissing(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                   <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;args)</pre>
</li>
</ul>
<a name="getOutputDirectory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputDirectory</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../../org/gradle/api/tasks/OutputDirectory.html" title="annotation in org.gradle.api.tasks">@OutputDirectory</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getOutputDirectory()</pre>
<div class="block">The location to write TestNG's output. <p> Defaults to the owning test task's location for writing the HTML report.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.11</dd></dl>
</li>
</ul>
<a name="setOutputDirectory(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutputDirectory</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setOutputDirectory(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputDirectory)</pre>
</li>
</ul>
<a name="getIncludeGroups()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludeGroups</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getIncludeGroups()</pre>
<div class="block">The set of groups to run.</div>
</li>
</ul>
<a name="setIncludeGroups(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludeGroups</h4>
<pre>public&nbsp;void&nbsp;setIncludeGroups(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;includeGroups)</pre>
</li>
</ul>
<a name="getExcludeGroups()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludeGroups</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getExcludeGroups()</pre>
<div class="block">The set of groups to exclude.</div>
</li>
</ul>
<a name="setExcludeGroups(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludeGroups</h4>
<pre>public&nbsp;void&nbsp;setExcludeGroups(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;excludeGroups)</pre>
</li>
</ul>
<a name="getConfigFailurePolicy()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfigFailurePolicy</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getConfigFailurePolicy()</pre>
<div class="block">Option for what to do for other tests that use a configuration step when that step fails. Can be "skip" or "continue", defaults to "skip".</div>
</li>
</ul>
<a name="setConfigFailurePolicy(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfigFailurePolicy</h4>
<pre>public&nbsp;void&nbsp;setConfigFailurePolicy(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;configFailurePolicy)</pre>
</li>
</ul>
<a name="getListeners()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getListeners</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getListeners()</pre>
<div class="block">Fully qualified classes that are TestNG listeners (instances of org.testng.ITestListener or org.testng.IReporter). By default, the listeners set is empty.

 Configuring extra listener:
 <pre class='autoTested'>
 apply plugin: 'java'

 test {
     useTestNG() {
         // creates emailable HTML file
         // this reporter typically ships with TestNG library
         listeners &lt;&lt; 'org.testng.reporters.EmailableReporter'
     }
 }
 </pre></div>
</li>
</ul>
<a name="setListeners(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setListeners</h4>
<pre>public&nbsp;void&nbsp;setListeners(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;listeners)</pre>
</li>
</ul>
<a name="getParallel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParallel</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getParallel()</pre>
<div class="block">The parallel mode to use for running the tests - one of the following modes: methods, tests, classes or instances.

 Not required.

 If not present, parallel mode will not be selected</div>
</li>
</ul>
<a name="setParallel(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParallel</h4>
<pre>public&nbsp;void&nbsp;setParallel(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parallel)</pre>
</li>
</ul>
<a name="getThreadCount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getThreadCount</h4>
<pre>public&nbsp;int&nbsp;getThreadCount()</pre>
<div class="block">The number of threads to use for this run. Ignored unless the parallel mode is also specified</div>
</li>
</ul>
<a name="setThreadCount(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setThreadCount</h4>
<pre>public&nbsp;void&nbsp;setThreadCount(int&nbsp;threadCount)</pre>
</li>
</ul>
<a name="getUseDefaultListeners()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUseDefaultListeners</h4>
<pre>public&nbsp;boolean&nbsp;getUseDefaultListeners()</pre>
</li>
</ul>
<a name="isUseDefaultListeners()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUseDefaultListeners</h4>
<pre>public&nbsp;boolean&nbsp;isUseDefaultListeners()</pre>
<div class="block">Whether the default listeners and reporters should be used. Since Gradle 1.4 it defaults to 'false' so that Gradle can own the reports generation and provide various improvements. This option
 might be useful for advanced TestNG users who prefer the reports generated by the TestNG library. If you cannot live without some specific TestNG reporter please use <a href="../../../../../../org/gradle/api/tasks/testing/testng/TestNGOptions.html#listeners"><code>listeners</code></a>
 property. If you really want to use all default TestNG reporters (e.g. generate the old reports):

 <pre class='autoTested'>
 apply plugin: 'java'

 test {
     useTestNG() {
         // report generation delegated to TestNG library:
         useDefaultListeners = true
     }

     // turn off Gradle's HTML report to avoid replacing the
     // reports generated by TestNG library:
     reports.html.enabled = false
 }
 </pre>

 Please refer to the documentation of your version of TestNG what are the default listeners. At the moment of writing this documentation, the default listeners are a set of reporters that
 generate: TestNG variant of HTML results, TestNG variant of XML results in JUnit format, emailable HTML test report, XML results in TestNG format.</div>
</li>
</ul>
<a name="setUseDefaultListeners(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUseDefaultListeners</h4>
<pre>public&nbsp;void&nbsp;setUseDefaultListeners(boolean&nbsp;useDefaultListeners)</pre>
</li>
</ul>
<a name="getSuiteName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuiteName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSuiteName()</pre>
<div class="block">Sets the default name of the test suite, if one is not specified in a suite XML file or in the source code.</div>
</li>
</ul>
<a name="setSuiteName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSuiteName</h4>
<pre>public&nbsp;void&nbsp;setSuiteName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;suiteName)</pre>
</li>
</ul>
<a name="getTestName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTestName()</pre>
<div class="block">Sets the default name of the test, if one is not specified in a suite XML file or in the source code.</div>
</li>
</ul>
<a name="setTestName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTestName</h4>
<pre>public&nbsp;void&nbsp;setTestName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;testName)</pre>
</li>
</ul>
<a name="getSuiteXmlFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuiteXmlFiles</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getSuiteXmlFiles()</pre>
<div class="block">The suiteXmlFiles to use for running TestNG.

 Note: The suiteXmlFiles can be used in conjunction with the suiteXmlBuilder.</div>
</li>
</ul>
<a name="setSuiteXmlFiles(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSuiteXmlFiles</h4>
<pre>public&nbsp;void&nbsp;setSuiteXmlFiles(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;suiteXmlFiles)</pre>
</li>
</ul>
<a name="getPreserveOrder()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPreserveOrder</h4>
<pre>public&nbsp;boolean&nbsp;getPreserveOrder()</pre>
</li>
</ul>
<a name="isPreserveOrder()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPreserveOrder</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;boolean&nbsp;isPreserveOrder()</pre>
<div class="block">Indicates whether the tests should be run in deterministic order. Preserving the order guarantees that the complete test
 (including @BeforeXXX and @AfterXXX) is run in a test thread before the next test is run.

 Not required.

 If not present, the order will not be preserved.</div>
</li>
</ul>
<a name="setPreserveOrder(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPreserveOrder</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setPreserveOrder(boolean&nbsp;preserveOrder)</pre>
</li>
</ul>
<a name="getGroupByInstances()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGroupByInstances</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;boolean&nbsp;getGroupByInstances()</pre>
</li>
</ul>
<a name="isGroupByInstances()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isGroupByInstances</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;boolean&nbsp;isGroupByInstances()</pre>
<div class="block">Indicates whether the tests should be grouped by instances. Grouping by instances will result in resolving test method dependencies for each instance instead of running the dependees of all
 instances before running the dependants.

 Not required.

 If not present, the tests will not be grouped by instances.</div>
</li>
</ul>
<a name="setGroupByInstances(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGroupByInstances</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setGroupByInstances(boolean&nbsp;groupByInstances)</pre>
</li>
</ul>
<a name="getSuiteXmlWriter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuiteXmlWriter</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/StringWriter.html?is-external=true" title="class or interface in java.io">StringWriter</a>&nbsp;getSuiteXmlWriter()</pre>
</li>
</ul>
<a name="setSuiteXmlWriter(java.io.StringWriter)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSuiteXmlWriter</h4>
<pre>public&nbsp;void&nbsp;setSuiteXmlWriter(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/StringWriter.html?is-external=true" title="class or interface in java.io">StringWriter</a>&nbsp;suiteXmlWriter)</pre>
</li>
</ul>
<a name="getSuiteXmlBuilder()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuiteXmlBuilder</h4>
<pre>public&nbsp;<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/xml/MarkupBuilder.html?is-external=true" title="class or interface in groovy.xml">MarkupBuilder</a>&nbsp;getSuiteXmlBuilder()</pre>
</li>
</ul>
<a name="setSuiteXmlBuilder(groovy.xml.MarkupBuilder)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setSuiteXmlBuilder</h4>
<pre>public&nbsp;void&nbsp;setSuiteXmlBuilder(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/xml/MarkupBuilder.html?is-external=true" title="class or interface in groovy.xml">MarkupBuilder</a>&nbsp;suiteXmlBuilder)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/api/tasks/testing/testng/TestNGOptions.html" target="_top">Frames</a></li>
<li><a href="TestNGOptions.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
